Bug 1275244 - --volume-type argument doesn't accept volume-type by name
--volume-type argument doesn't accept volume-type by name
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-cinderclient (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Eric Harney
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 07:05 EDT by David Juran
Modified: 2016-04-26 15:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 02:39:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2015-10-26 07:05:50 EDT
Description of problem:
When e.g. adding access to a cinder volume type using

cinder --os-volume-api-version 2 type-access-add --volume-type

the volume-type must be specified by ID. Specifying it by name does not work, although the help text suggests it should:

$ cinder --os-volume-api-version 2 type-access-add --volume-type djuran_only  --project-id 527875ac00bb41feb4a4018013deca05
ERROR: No volumetype with a name or ID of 'djuran_only' exists.
[stack@osp-d ~(overcloud_admin)]$ cinder type-list
+--------------------------------------+-------------+
|                  ID                  |     Name    |
+--------------------------------------+-------------+
| 45903c41-78e6-4bfe-ac3d-59caba1e9ebe | djuran_only |
+--------------------------------------+-------------+


Version-Release number of selected component (if applicable):
python-cinderclient-1.2.1-1.el7ost.noarch

Note You need to log in before you can comment on or make changes to this bug.